<ion-content>
    <div *ngIf="!securityService.isProgressing()">
        <ion-grid>
            <ion-card-content>
                <form [formGroup]="form" (ngSubmit)="login(form)" (keyup.enter)="login(form)" method="post">

                    <ion-item *ngIf="isLoggedIn == true">
                        <ion-item>
                            <ion-avatar>
                                <img src="{{securityGuard?.profilePicture?.content}}">
                            </ion-avatar>
                            <ion-label>{{securityGuard?.name}}</ion-label>
                        </ion-item>
                    </ion-item>
                    <ion-item *ngIf="isLoggedIn == false">
                        <ion-label>{{ 'Guard Name' | translate}}</ion-label>
                        <ion-select placeholder="{{ 'Select One'| translate}}" formControlName="securityGuard"
                            name="securityGuard">
                            <ion-select-option *ngFor="let securityGuard of securityGuards" [value]="securityGuard">
                                {{securityGuard.name}}
                            </ion-select-option>
                        </ion-select>
                    </ion-item>

                    <div style="color: red"
                        *ngIf="form.get('securityGuard').hasError('required') && form.get('securityGuard').touched">
                        {{ 'This field is required*' | translate }}</div>

                    <ion-item>
                        <ion-label position="floating">{{ 'Enter PIN'| translate}}</ion-label>
                        <ion-input formControlName="pin" type="number"></ion-input>
                    </ion-item>
                    <div style="color: red" *ngIf="form.get('pin').hasError('required') && form.get('pin').touched">
                        {{ 'This field is required*' | translate }}</div>
                    <div style="color: red;" *ngIf="form.get('pin').hasError('pattern') && form.get('pin').touched">
                        {{ 'Pin should be 6 digit long' | translate }}
                    </div>

                    <ion-button type="submit" expand="full" color="primary" [disabled]="!form.valid">
                        {{ 'Check In'| translate}}</ion-button>
                    <ion-button *ngIf="isLoggedIn" expand="full" color="danger" (click)="logout()">
                        {{ 'Check Out'| translate}}</ion-button>
                </form>
            </ion-card-content>
        </ion-grid>
    </div>

    <ion-card *ngIf="securityService.isProgressing()">
        <ion-card-header>
            <ion-card-title>
                <ion-skeleton-text animated></ion-skeleton-text>
            </ion-card-title>
            <ion-card-subtitle>
                <ion-skeleton-text animated></ion-skeleton-text>
            </ion-card-subtitle>
        </ion-card-header>

        <ion-card-content>
            <ion-item>
                <ion-label>
                    <ion-skeleton-text animated></ion-skeleton-text>
                </ion-label>
            </ion-item>
            <div>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
            </div>
        </ion-card-content>
    </ion-card>
</ion-content>